log_file.txt

download

20 lgp_sign=yes
lgp_suffix=yes<br/>10 Running lgp build -v -s yes -r /tmp/tmpfcPAkn/pyxst/.. --suffix ~rev15ddebbbe307<br/>10 use setup package class format: debian<br/>10 guessing distribution(s): jessie, wheezy, epel-6-i386, epel-7-x86_64, sid, epel-6-x86_64<br/>10 retrieve debian version from debian/changelog: 0.1.1-1<br/>20 create pristine tarball from working directory<br/>10 run subprocess command: uscan --noconf --download-current-version --destdir /tmp/tmp93neNN<br/>10 command substitutions: {&#39;dist_dir&#39;: &#39;/tmp/tmp93neNN&#39;}<br/>20 Attempting to build jessie<br/>10 Going back to /tmp/tmpfcPAkn/pyxst<br/>10 copy pristine tarball to prepare Debian source package diff<br/>10 extracting original source archive for jessie distribution in /tmp/tmpAM0mPg<br/>10 suffix &#39;~rev15ddebbbe307&#39; added to package version<br/>20 Debian source package (format: 1.0) for &#39;jessie&#39;<br/>10 running dpkg-source command: dpkg-source --no-copy -b /tmp/tmpAM0mPg/pyxst-0.1.1 ...<br/>20 create Debian source package files (.dsc, .diff.gz): pyxst_0.1.1-1~rev15ddebbbe307.dsc<br/>20 this build is arch-independent. Lgp will only build on architecture amd64<br/>10 changing build context... (/tmp/tmpR1GteW)<br/>10 package builder flavour: &#39;pbuilder&#39;<br/>20 building binary debian package for &#39;jessie/amd64&#39; using DEBBUILDOPTS options: &#39;(none)&#39; ...<br/>10 running build command: sudo IMAGE=/var/cache/lgp/buildd/jessie-amd64.tgz DIST=jessie ARCH=amd64 pbuilder build --configfile /etc/lgp/pbuilderrc --buildresult /tmp/tmpR1GteW --hookdir /var/lib/logilab-packaging/hooks /tmp/tmpAM0mPg/pyxst_0.1.1-1~rev15ddebbbe307.dsc ...<br/>50 binary build(s) failed for &#39;jessie&#39; with exit status 1<br/>20 a build logfile is available: /tmp/tmpfcPAkn/jessie/pyxst_0.1.1-1~rev15ddebbbe307_amd64_jessie.lgp-build.log<br/>20 Attempting to build wheezy<br/>10 Going back to /tmp/tmpfcPAkn/pyxst<br/>10 copy pristine tarball to prepare Debian source package diff<br/>10 extracting original source archive for wheezy distribution in /tmp/tmpQRylqf<br/>10 suffix &#39;~rev15ddebbbe307&#39; added to package version<br/>20 Debian source package (format: 1.0) for &#39;wheezy&#39;<br/>10 running dpkg-source command: dpkg-source --no-copy -b /tmp/tmpQRylqf/pyxst-0.1.1 ...<br/>20 create Debian source package files (.dsc, .diff.gz): pyxst_0.1.1-1~rev15ddebbbe307.dsc<br/>20 this build is arch-independent. Lgp will only build on architecture amd64<br/>10 changing build context... (/tmp/tmpbdLubR)<br/>10 package builder flavour: &#39;pbuilder&#39;<br/>20 building binary debian package for &#39;wheezy/amd64&#39; using DEBBUILDOPTS options: &#39;(none)&#39; ...<br/>10 running build command: sudo IMAGE=/var/cache/lgp/buildd/wheezy-amd64.tgz DIST=wheezy ARCH=amd64 pbuilder build --configfile /etc/lgp/pbuilderrc --buildresult /tmp/tmpbdLubR --hookdir /var/lib/logilab-packaging/hooks /tmp/tmpQRylqf/pyxst_0.1.1-1~rev15ddebbbe307.dsc ...<br/>50 binary build(s) failed for &#39;wheezy&#39; with exit status 1<br/>20 a build logfile is available: /tmp/tmpfcPAkn/wheezy/pyxst_0.1.1-1~rev15ddebbbe307_amd64_wheezy.lgp-build.log<br/>20 Attempting to build epel-6-i386<br/>10 Going back to /tmp/tmpfcPAkn/pyxst<br/>10 running mock command: sudo mock --buildsrpm --spec /tmp/tmpfcPAkn/pyxst/python-pyxst.spec --resultdir /tmp/tmpHuWjL7 -r epel-6-i386 --uniqueext 28310 --sources /tmp/tmp93neNN ...<br/>50 Traceback (most recent call last):
File &quot;/usr/lib/python2.7/dist-packages/logilab/packaging/lgp/build.py&quot;, line 193, in run
srpm = self.make_rpm_source_package(specfile, distrib, src_tmpdir)
File &quot;/usr/lib/python2.7/dist-packages/logilab/packaging/lgp/build.py&quot;, line 366, in make_rpm_source_package
raise LGPCommandException(msg, err)
LGPCommandException: cannot build valid srpm file with command [&#39;sudo&#39;, &#39;mock&#39;, &#39;--buildsrpm&#39;, &#39;--spec&#39;, &#39;/tmp/tmpfcPAkn/pyxst/python-pyxst.spec&#39;, &#39;--resultdir&#39;, &#39;/tmp/tmpHuWjL7&#39;, &#39;-r&#39;, &#39;epel-6-i386&#39;, &#39;--uniqueext&#39;, &#39;28310&#39;, &#39;--sources&#39;, u&#39;/tmp/tmp93neNN&#39;]
<br/>20 begin scanning for log files <br/>20 printing /tmp/tmpfcPAkn/pyxst/../wheezy/pyxst_0.1.1-1~rev15ddebbbe307_amd64_wheezy.lgp-build.log: I: Using pkgname logfile

I: Current time: Thu Oct 20 09:54:30 CEST 2016

I: pbuilder-time-stamp: 1476950070

I: Obtaining the cached apt archive contents

I: Installing the build-deps

I: user script /var/cache/pbuilder/build/31325/tmp/hooks/D10tmp starting

I: user script /var/cache/pbuilder/build/31325/tmp/hooks/D10tmp finished

I: user script /var/cache/pbuilder/build/31325/tmp/hooks/D50debconf starting

I: user script /var/cache/pbuilder/build/31325/tmp/hooks/D50debconf finished

I: user script /var/cache/pbuilder/build/31325/tmp/hooks/D99apt starting

+ apt-get update

I: user script /var/cache/pbuilder/build/31325/tmp/hooks/D99apt finished

-&gt; Attempting to satisfy build-dependencies

-&gt; Creating pbuilder-satisfydepends-dummy package

Package: pbuilder-satisfydepends-dummy

Version: 0.invalid.0

Architecture: amd64

Maintainer: Debian Pbuilder Team &lt;pbuilder-maint@lists.alioth.debian.org&gt;

Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder

This package was created automatically by pbuilder to satisfy the

build-dependencies of the package being currently built.

Depends: debhelper (&gt;= 8), python-all (&gt;= 2.6.5), python3-all, python-lxml

dpkg-deb: building package `pbuilder-satisfydepends-dummy&#39; in `/tmp/satisfydepends-aptitude/pbuilder-satisfydepends-dummy.deb&#39;.

Selecting previously unselected package pbuilder-satisfydepends-dummy.

(Reading database ... 11707 files and directories currently installed.)

Unpacking pbuilder-satisfydepends-dummy (from .../pbuilder-satisfydepends-dummy.deb) ...

dpkg: pbuilder-satisfydepends-dummy: dependency problems, but configuring anyway as you requested:

pbuilder-satisfydepends-dummy depends on debhelper (&gt;= 8); however:

Package debhelper is not installed.

pbuilder-satisfydepends-dummy depends on python-all (&gt;= 2.6.5); however:

Package python-all is not installed.

pbuilder-satisfydepends-dummy depends on python3-all; however:

Package python3-all is not installed.

pbuilder-satisfydepends-dummy depends on python-lxml; however:

Package python-lxml is not installed.

Setting up pbuilder-satisfydepends-dummy (0.invalid.0) ...

Reading package lists...

Building dependency tree...

Reading state information...

Initializing package states...

Writing extended state information...

The following NEW packages will be installed:

bsdmainutils{a} debhelper{a} file{a} gettext{a} gettext-base{a}

groff-base{a} html2text{a} intltool-debian{a} libasprintf0c2{a}

libcroco3{a} libexpat1{a} libffi5{a} libgettextpo0{a} libglib2.0-0{a}

libmagic1{a} libpcre3{a} libpipeline1{a} libunistring0{a} libxml2{a}

libxslt1.1{a} man-db{a} mime-support{a} po-debconf{a} python{a}

python-all{a} python-lxml{a} python-minimal{a} python2.6{a}

python2.6-minimal{a} python2.7{a} python2.7-minimal{a} python3{a}

python3-all{a} python3-minimal{a} python3.2{a} python3.2-minimal{a}

0 packages upgraded, 36 newly installed, 0 to remove and 0 not upgraded.

Need to get 1493 kB/24.6 MB of archives. After unpacking 74.1 MB will be used.

Writing extended state information...

Get: 1 http://ftp.fr.debian.org/debian/ wheezy/main libxslt1.1 amd64 1.1.26-14.1 [254 kB]

Get: 2 http://ftp.fr.debian.org/debian/ wheezy/main python-lxml amd64 2.3.2-1+deb7u1 [1238 kB]

Get: 3 http://ftp.fr.debian.org/debian/ wheezy/main python3-all all 3.2.3-6 [866 B]

Fetched 1493 kB in 0s (17.5 MB/s)

Extracting templates from packages: 83%
Extracting templates from packages: 100%

Preconfiguring packages ...

Selecting previously unselected package libpipeline1:amd64.

(Reading database ... 11707 files and directories currently installed.)

Unpacking libpipeline1:amd64 (from .../libpipeline1_1.2.1-1_amd64.deb) ...

Selecting previously unselected package libasprintf0c2:amd64.

Unpacking libasprintf0c2:amd64 (from .../libasprintf0c2_0.18.1.1-9_amd64.deb) ...

Selecting previously unselected package libmagic1:amd64.

Unpacking libmagic1:amd64 (from .../libmagic1_5.11-2+deb7u8_amd64.deb) ...

Selecting previously unselected package libpcre3:amd64.

Unpacking libpcre3:amd64 (from .../libpcre3_1%3a8.30-5_amd64.deb) ...

Selecting previously unselected package libxml2:amd64.

Unpacking libxml2:amd64 (from .../libxml2_2.8.0+dfsg1-7+wheezy5_amd64.deb) ...

Selecting previously unselected package libffi5:amd64.

Unpacking libffi5:amd64 (from .../libffi5_3.0.10-3_amd64.deb) ...

Selecting previously unselected package libglib2.0-0:amd64.

Unpacking libglib2.0-0:amd64 (from .../libglib2.0-0_2.33.12+really2.32.4-5_amd64.deb) ...

Selecting previously unselected package libcroco3:amd64.

Unpacking libcroco3:amd64 (from .../libcroco3_0.6.6-2_amd64.deb) ...

Selecting previously unselected package libexpat1:amd64.

Unpacking libexpat1:amd64 (from .../libexpat1_2.1.0-1+deb7u2_amd64.deb) ...

Selecting previously unselected package libunistring0:amd64.

Unpacking libunistring0:amd64 (from .../libunistring0_0.9.3-5_amd64.deb) ...

Selecting previously unselected package libgettextpo0:amd64.

Unpacking libgettextpo0:amd64 (from .../libgettextpo0_0.18.1.1-9_amd64.deb) ...

Selecting previously unselected package libxslt1.1:amd64.

Unpacking libxslt1.1:amd64 (from .../libxslt1.1_1.1.26-14.1_amd64.deb) ...

Selecting previously unselected package bsdmainutils.

Unpacking bsdmainutils (from .../bsdmainutils_9.0.3_amd64.deb) ...

Selecting previously unselected package groff-base.

Unpacking groff-base (from .../groff-base_1.21-9_amd64.deb) ...

Selecting previously unselected package man-db.

Unpacking man-db (from .../man-db_2.6.2-1_amd64.deb) ...

Selecting previously unselected package file.

Unpacking file (from .../file_5.11-2+deb7u8_amd64.deb) ...

Selecting previously unselected package gettext-base.

Unpacking gettext-base (from .../gettext-base_0.18.1.1-9_amd64.deb) ...

Selecting previously unselected package mime-support.

Unpacking mime-support (from .../mime-support_3.52-1+deb7u1_all.deb) ...

Selecting previously unselected package python2.7-minimal.

Unpacking python2.7-minimal (from .../python2.7-minimal_2.7.3-6+deb7u2_amd64.deb) ...

Selecting previously unselected package python2.7.

Unpacking python2.7 (from .../python2.7_2.7.3-6+deb7u2_amd64.deb) ...

Selecting previously unselected package python-minimal.

Unpacking python-minimal (from .../python-minimal_2.7.3-4+deb7u1_all.deb) ...

Selecting previously unselected package python.

Unpacking python (from .../python_2.7.3-4+deb7u1_all.deb) ...

Selecting previously unselected package python2.6-minimal.

Unpacking python2.6-minimal (from .../python2.6-minimal_2.6.8-1.1_amd64.deb) ...

Selecting previously unselected package html2text.

Unpacking html2text (from .../html2text_1.3.2a-15_amd64.deb) ...

Selecting previously unselected package gettext.

Unpacking gettext (from .../gettext_0.18.1.1-9_amd64.deb) ...

Selecting previously unselected package intltool-debian.

Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...

Selecting previously unselected package po-debconf.

Unpacking po-debconf (from .../po-debconf_1.0.16+nmu2_all.deb) ...

Selecting previously unselected package debhelper.

Unpacking debhelper (from .../debhelper_9.20120909_all.deb) ...

Selecting previously unselected package python2.6.

Unpacking python2.6 (from .../python2.6_2.6.8-1.1_amd64.deb) ...

Selecting previously unselected package python-all.

Unpacking python-all (from .../python-all_2.7.3-4+deb7u1_all.deb) ...

Selecting previously unselected package python-lxml.

Unpacking python-lxml (from .../python-lxml_2.3.2-1+deb7u1_amd64.deb) ...

Selecting previously unselected package python3.2-minimal.

Unpacking python3.2-minimal (from .../python3.2-minimal_3.2.3-7_amd64.deb) ...

Selecting previously unselected package python3.2.

Unpacking python3.2 (from .../python3.2_3.2.3-7_amd64.deb) ...

Selecting previously unselected package python3-minimal.

Unpacking python3-minimal (from .../python3-minimal_3.2.3-6_all.deb) ...

Selecting previously unselected package python3.

Unpacking python3 (from .../python3_3.2.3-6_all.deb) ...

Selecting previously unselected package python3-all.

Unpacking python3-all (from .../python3-all_3.2.3-6_all.deb) ...

Setting up libpipeline1:amd64 (1.2.1-1) ...

Setting up libasprintf0c2:amd64 (0.18.1.1-9) ...

Setting up libmagic1:amd64 (5.11-2+deb7u8) ...

Setting up libpcre3:amd64 (1:8.30-5) ...

Setting up libxml2:amd64 (2.8.0+dfsg1-7+wheezy5) ...

Setting up libffi5:amd64 (3.0.10-3) ...

Setting up libglib2.0-0:amd64 (2.33.12+really2.32.4-5) ...

No schema files found: doing nothing.

Setting up libcroco3:amd64 (0.6.6-2) ...

Setting up libexpat1:amd64 (2.1.0-1+deb7u2) ...

Setting up libunistring0:amd64 (0.9.3-5) ...

Setting up libgettextpo0:amd64 (0.18.1.1-9) ...

Setting up libxslt1.1:amd64 (1.1.26-14.1) ...

Setting up bsdmainutils (9.0.3) ...

update-alternatives: using /usr/bin/bsd-write to provide /usr/bin/write (write) in auto mode

update-alternatives: using /usr/bin/bsd-from to provide /usr/bin/from (from) in auto mode

Setting up groff-base (1.21-9) ...

Setting up man-db (2.6.2-1) ...

Building database of manual pages ...

Setting up file (5.11-2+deb7u8) ...

Setting up gettext-base (0.18.1.1-9) ...

Setting up mime-support (3.52-1+deb7u1) ...

update-alternatives: using /usr/bin/see to provide /usr/bin/view (view) in auto mode

Setting up python2.7-minimal (2.7.3-6+deb7u2) ...

Setting up python2.7 (2.7.3-6+deb7u2) ...

Setting up python-minimal (2.7.3-4+deb7u1) ...

Setting up python (2.7.3-4+deb7u1) ...

Setting up python2.6-minimal (2.6.8-1.1) ...

Setting up html2text (1.3.2a-15) ...

Setting up gettext (0.18.1.1-9) ...

Setting up intltool-debian (0.35.0+20060710.1) ...

Setting up po-debconf (1.0.16+nmu2) ...

Setting up debhelper (9.20120909) ...

Setting up python2.6 (2.6.8-1.1) ...

Setting up python-all (2.7.3-4+deb7u1) ...

Setting up python-lxml (2.3.2-1+deb7u1) ...

Setting up python3.2-minimal (3.2.3-7) ...

Setting up python3.2 (3.2.3-7) ...

Setting up python3-minimal (3.2.3-6) ...

Setting up python3 (3.2.3-6) ...

Setting up python3-all (3.2.3-6) ...

Reading package lists...

Building dependency tree...

Reading state information...

Reading extended state information...

Initializing package states...

Writing extended state information...

-&gt; Finished parsing the build-deps

Reading package lists...

Building dependency tree...

Reading state information...

apt-utils is already the newest version.

The following NEW packages will be installed:

fakeroot

0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.

Need to get 0 B/109 kB of archives.

After this operation, 325 kB of additional disk space will be used.

Selecting previously unselected package fakeroot.

(Reading database ... 15623 files and directories currently installed.)

Unpacking fakeroot (from .../fakeroot_1.18.4-2_amd64.deb) ...

Processing triggers for man-db ...

Setting up fakeroot (1.18.4-2) ...

update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode

I: Copying back the cached apt archive contents

I: Copying source file

I: copying [/tmp/tmpQRylqf/pyxst_0.1.1-1~rev15ddebbbe307.dsc]

I: copying [/tmp/tmpQRylqf/pyxst_0.1.1.orig.tar.gz]

I: copying [/tmp/tmpQRylqf/pyxst_0.1.1-1~rev15ddebbbe307.diff.gz]

I: Extracting source

dpkg-source: warning: extracting unsigned source package (pyxst_0.1.1-1~rev15ddebbbe307.dsc)

dpkg-source: info: extracting pyxst in pyxst-0.1.1

dpkg-source: info: unpacking pyxst_0.1.1.orig.tar.gz

dpkg-source: info: applying pyxst_0.1.1-1~rev15ddebbbe307.diff.gz

I: Building the package

W: no hooks of type A found -- ignoring

I: Running cd /build/*/ &amp;&amp; env PATH=&quot;/usr/sbin:/usr/bin:/sbin:/bin&quot; HOME=&quot;/nonexistent&quot; dpkg-buildpackage -us -uc -rfakeroot

dpkg-buildpackage: source package pyxst

dpkg-buildpackage: source version 0.1.1-1~rev15ddebbbe307

dpkg-buildpackage: source changed by Sylvain Thenault &lt;syt@castor.logilab.fr&gt;

dpkg-source --before-build pyxst-0.1.1

dpkg-buildpackage: host architecture amd64

fakeroot debian/rules clean

py3versions: empty set of versions

py3versions: empty set of versions

dh clean --with python2

dh_testdir

debian/rules override_dh_auto_clean

py3versions: empty set of versions

py3versions: empty set of versions

make[1]: Entering directory `/build/pyxst-0.1.1&#39;

dh_auto_clean

running clean

&#39;build/lib.linux-x86_64-2.6&#39; does not exist -- can&#39;t clean it

&#39;build/bdist.linux-x86_64&#39; does not exist -- can&#39;t clean it

&#39;build/scripts-2.6&#39; does not exist -- can&#39;t clean it

running clean

&#39;build/lib.linux-x86_64-2.7&#39; does not exist -- can&#39;t clean it

&#39;build/bdist.linux-x86_64&#39; does not exist -- can&#39;t clean it

&#39;build/scripts-2.7&#39; does not exist -- can&#39;t clean it

rm -rf pyxst.egg-info

rm -rf testdir

make[1]: Leaving directory `/build/pyxst-0.1.1&#39;

dh_clean

dpkg-source -b pyxst-0.1.1

dpkg-source: warning: no source format specified in debian/source/format, see dpkg-source(1)

dpkg-source: info: using source format `1.0&#39;

dpkg-source: info: building pyxst using existing pyxst_0.1.1.orig.tar.gz

dpkg-source: info: building pyxst in pyxst_0.1.1-1~rev15ddebbbe307.diff.gz

dpkg-source: warning: ignoring deletion of directory pyxst.egg-info

dpkg-source: warning: ignoring deletion of file pyxst.egg-info/top_level.txt

dpkg-source: warning: ignoring deletion of file pyxst.egg-info/SOURCES.txt

dpkg-source: warning: ignoring deletion of file pyxst.egg-info/dependency_links.txt

dpkg-source: warning: ignoring deletion of file pyxst.egg-info/PKG-INFO

dpkg-source: info: building pyxst in pyxst_0.1.1-1~rev15ddebbbe307.dsc

debian/rules build

py3versions: empty set of versions

py3versions: empty set of versions

dh build --with python2

dh_testdir

dh_auto_configure

dh_auto_build

running build

running build_py

creating build

creating build/lib.linux-x86_64-2.6

creating build/lib.linux-x86_64-2.6/pyxst

copying pyxst/__pkginfo__.py -&gt; build/lib.linux-x86_64-2.6/pyxst

copying pyxst/__init__.py -&gt; build/lib.linux-x86_64-2.6/pyxst

creating build/lib.linux-x86_64-2.6/pyxst/dtd

copying pyxst/dtd/nodes.py -&gt; build/lib.linux-x86_64-2.6/pyxst/dtd

copying pyxst/dtd/constants.py -&gt; build/lib.linux-x86_64-2.6/pyxst/dtd

copying pyxst/dtd/utils.py -&gt; build/lib.linux-x86_64-2.6/pyxst/dtd

copying pyxst/dtd/groups.py -&gt; build/lib.linux-x86_64-2.6/pyxst/dtd

copying pyxst/dtd/errors.py -&gt; build/lib.linux-x86_64-2.6/pyxst/dtd

copying pyxst/dtd/__init__.py -&gt; build/lib.linux-x86_64-2.6/pyxst/dtd

copying pyxst/dtd/parser.py -&gt; build/lib.linux-x86_64-2.6/pyxst/dtd

copying pyxst/dtd/root.py -&gt; build/lib.linux-x86_64-2.6/pyxst/dtd

creating build/lib.linux-x86_64-2.6/pyxst/xml_struct

copying pyxst/xml_struct/comparator.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xml_struct

copying pyxst/xml_struct/utils.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xml_struct

copying pyxst/xml_struct/graph.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xml_struct

copying pyxst/xml_struct/pprint.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xml_struct

copying pyxst/xml_struct/docs_analyzer.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xml_struct

copying pyxst/xml_struct/__init__.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xml_struct

copying pyxst/xml_struct/graph_nodes.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xml_struct

copying pyxst/xml_struct/graph_target_relations.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xml_struct

creating build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/elements.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/attributes.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/types.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/utils.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/constraints.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/groups.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/errors.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/__init__.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/parser.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

copying pyxst/xsd/root.py -&gt; build/lib.linux-x86_64-2.6/pyxst/xsd

running build

running build_py

creating build/lib.linux-x86_64-2.7

creating build/lib.linux-x86_64-2.7/pyxst

copying pyxst/__pkginfo__.py -&gt; build/lib.linux-x86_64-2.7/pyxst

copying pyxst/__init__.py -&gt; build/lib.linux-x86_64-2.7/pyxst

creating build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/nodes.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/constants.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/utils.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/groups.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/errors.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/__init__.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/parser.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/root.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

creating build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/comparator.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/utils.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/graph.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/pprint.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/docs_analyzer.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/__init__.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/graph_nodes.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/graph_target_relations.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

creating build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/elements.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/attributes.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/types.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/utils.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/constraints.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/groups.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/errors.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/__init__.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/parser.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/root.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

debian/rules override_dh_auto_test

py3versions: empty set of versions

py3versions: empty set of versions

make[1]: Entering directory `/build/pyxst-0.1.1&#39;

mkdir -p testdir

ln -sf .. testdir/pyxst

PYTHONPATH=/build/pyxst-0.1.1/testdir python2.7 /usr/bin/pytest

python2.7: can&#39;t open file &#39;/usr/bin/pytest&#39;: [Errno 2] No such file or directory

make[1]: *** [test-python2.7] Error 2

make[1]: Leaving directory `/build/pyxst-0.1.1&#39;

make: *** [build] Error 2

dpkg-buildpackage: error: debian/rules build gave error exit status 2

I: copying local configuration

E: Failed autobuilding of package

I: user script /var/cache/pbuilder/build/31325/tmp/hooks/C10shell starting

If you want to enter into the chroot image to debug, you have to edit your ~/.pbuilderrc with:

export LGP_AUTO_ENTER_SHELL=y

I: user script /var/cache/pbuilder/build/31325/tmp/hooks/C10shell finished

I: unmounting /sys filesystem

I: unmounting /dev filesystem

I: unmounting dev/pts filesystem

I: unmounting run/shm filesystem

I: unmounting proc filesystem

I: unmounting sys filesystem

I: cleaning the build env

I: removing directory /var/cache/pbuilder/build/31325 and its subdirectories
<br/>20 printing /tmp/tmpfcPAkn/pyxst/../jessie/pyxst_0.1.1-1~rev15ddebbbe307_amd64_jessie.lgp-build.log: I: Using pkgname logfile

I: Current time: Thu Oct 20 09:54:06 CEST 2016

I: pbuilder-time-stamp: 1476950046

I: Obtaining the cached apt archive contents

I: Installing the build-deps

I: user script /var/cache/pbuilder/build/28617/tmp/hooks/D10tmp starting

I: user script /var/cache/pbuilder/build/28617/tmp/hooks/D10tmp finished

I: user script /var/cache/pbuilder/build/28617/tmp/hooks/D50debconf starting

I: user script /var/cache/pbuilder/build/28617/tmp/hooks/D50debconf finished

I: user script /var/cache/pbuilder/build/28617/tmp/hooks/D99apt starting

+ apt-get update

I: user script /var/cache/pbuilder/build/28617/tmp/hooks/D99apt finished

-&gt; Attempting to satisfy build-dependencies

-&gt; Creating pbuilder-satisfydepends-dummy package

Package: pbuilder-satisfydepends-dummy

Version: 0.invalid.0

Architecture: amd64

Maintainer: Debian Pbuilder Team &lt;pbuilder-maint@lists.alioth.debian.org&gt;

Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder

This package was created automatically by pbuilder to satisfy the

build-dependencies of the package being currently built.

Depends: debhelper (&gt;= 8), python-all (&gt;= 2.6.5), python3-all, python-lxml

dpkg-deb: building package `pbuilder-satisfydepends-dummy&#39; in `/tmp/satisfydepends-aptitude/pbuilder-satisfydepends-dummy.deb&#39;.

Selecting previously unselected package pbuilder-satisfydepends-dummy.

(Reading database ... 12586 files and directories currently installed.)

Preparing to unpack .../pbuilder-satisfydepends-dummy.deb ...

Unpacking pbuilder-satisfydepends-dummy (0.invalid.0) ...

dpkg: pbuilder-satisfydepends-dummy: dependency problems, but configuring anyway as you requested:

pbuilder-satisfydepends-dummy depends on debhelper (&gt;= 8); however:

Package debhelper is not installed.

pbuilder-satisfydepends-dummy depends on python-all (&gt;= 2.6.5); however:

Package python-all is not installed.

pbuilder-satisfydepends-dummy depends on python3-all; however:

Package python3-all is not installed.

pbuilder-satisfydepends-dummy depends on python-lxml; however:

Package python-lxml is not installed.

Setting up pbuilder-satisfydepends-dummy (0.invalid.0) ...

Reading package lists...

Building dependency tree...

Reading state information...

Initializing package states...

Writing extended state information...

Building tag database...

The following NEW packages will be installed:

bsdmainutils{a} debhelper{a} dh-python{a} file{a} gettext{a}

gettext-base{a} groff-base{a} intltool-debian{a} libasprintf0c2{a}

libcroco3{a} libexpat1{a} libglib2.0-0{a} libmagic1{a} libmpdec2{a}

libpipeline1{a} libpython-stdlib{a} libpython2.7-minimal{a}

libpython2.7-stdlib{a} libpython3-stdlib{a} libpython3.4-minimal{a}

libpython3.4-stdlib{a} libunistring0{a} libxml2{a} libxslt1.1{a}

man-db{a} mime-support{a} po-debconf{a} python{a} python-all{a}

python-lxml{a} python-minimal{a} python2.7{a} python2.7-minimal{a}

python3{a} python3-all{a} python3-minimal{a} python3.4{a}

python3.4-minimal{a}

0 packages upgraded, 38 newly installed, 0 to remove and 0 not upgraded.

Need to get 986 B/18.6 MB of archives. After unpacking 66.3 MB will be used.

Writing extended state information...

Get: 1 http://ftp.fr.debian.org/debian/ jessie/main python3-all amd64 3.4.2-2 [986 B]

Fetched 986 B in 0s (95.1 kB/s)

Extracting templates from packages: 78%
Extracting templates from packages: 100%

Preconfiguring packages ...

E: Can not write log (Is /dev/pts mounted?) - posix_openpt (2: No such file or directory)

Selecting previously unselected package libpipeline1:amd64.

(Reading database ... 12586 files and directories currently installed.)

Preparing to unpack .../libpipeline1_1.4.0-1_amd64.deb ...

Unpacking libpipeline1:amd64 (1.4.0-1) ...

Selecting previously unselected package groff-base.

Preparing to unpack .../groff-base_1.22.2-8_amd64.deb ...

Unpacking groff-base (1.22.2-8) ...

Selecting previously unselected package bsdmainutils.

Preparing to unpack .../bsdmainutils_9.0.6_amd64.deb ...

Unpacking bsdmainutils (9.0.6) ...

Selecting previously unselected package man-db.

Preparing to unpack .../man-db_2.7.0.2-5_amd64.deb ...

Unpacking man-db (2.7.0.2-5) ...

Selecting previously unselected package libasprintf0c2:amd64.

Preparing to unpack .../libasprintf0c2_0.19.3-2_amd64.deb ...

Unpacking libasprintf0c2:amd64 (0.19.3-2) ...

Selecting previously unselected package libmagic1:amd64.

Preparing to unpack .../libmagic1_1%3a5.22+15-2+deb8u2_amd64.deb ...

Unpacking libmagic1:amd64 (1:5.22+15-2+deb8u2) ...

Selecting previously unselected package libxml2:amd64.

Preparing to unpack .../libxml2_2.9.1+dfsg1-5+deb8u3_amd64.deb ...

Unpacking libxml2:amd64 (2.9.1+dfsg1-5+deb8u3) ...

Selecting previously unselected package libpython2.7-minimal:amd64.

Preparing to unpack .../libpython2.7-minimal_2.7.9-2+deb8u1_amd64.deb ...

Unpacking libpython2.7-minimal:amd64 (2.7.9-2+deb8u1) ...

Selecting previously unselected package python2.7-minimal.

Preparing to unpack .../python2.7-minimal_2.7.9-2+deb8u1_amd64.deb ...

Unpacking python2.7-minimal (2.7.9-2+deb8u1) ...

Selecting previously unselected package python-minimal.

Preparing to unpack .../python-minimal_2.7.9-1_amd64.deb ...

Unpacking python-minimal (2.7.9-1) ...

Selecting previously unselected package mime-support.

Preparing to unpack .../mime-support_3.58_all.deb ...

Unpacking mime-support (3.58) ...

Selecting previously unselected package libexpat1:amd64.

Preparing to unpack .../libexpat1_2.1.0-6+deb8u3_amd64.deb ...

Unpacking libexpat1:amd64 (2.1.0-6+deb8u3) ...

Selecting previously unselected package libpython2.7-stdlib:amd64.

Preparing to unpack .../libpython2.7-stdlib_2.7.9-2+deb8u1_amd64.deb ...

Unpacking libpython2.7-stdlib:amd64 (2.7.9-2+deb8u1) ...

Selecting previously unselected package python2.7.

Preparing to unpack .../python2.7_2.7.9-2+deb8u1_amd64.deb ...

Unpacking python2.7 (2.7.9-2+deb8u1) ...

Selecting previously unselected package libpython-stdlib:amd64.

Preparing to unpack .../libpython-stdlib_2.7.9-1_amd64.deb ...

Unpacking libpython-stdlib:amd64 (2.7.9-1) ...

Setting up libpython2.7-minimal:amd64 (2.7.9-2+deb8u1) ...

Setting up python2.7-minimal (2.7.9-2+deb8u1) ...

Setting up python-minimal (2.7.9-1) ...

Selecting previously unselected package python.

(Reading database ... 13951 files and directories currently installed.)

Preparing to unpack .../python_2.7.9-1_amd64.deb ...

Unpacking python (2.7.9-1) ...

Selecting previously unselected package libglib2.0-0:amd64.

Preparing to unpack .../libglib2.0-0_2.42.1-1+b1_amd64.deb ...

Unpacking libglib2.0-0:amd64 (2.42.1-1+b1) ...

Selecting previously unselected package libcroco3:amd64.

Preparing to unpack .../libcroco3_0.6.8-3+b1_amd64.deb ...

Unpacking libcroco3:amd64 (0.6.8-3+b1) ...

Selecting previously unselected package libmpdec2:amd64.

Preparing to unpack .../libmpdec2_2.4.1-1_amd64.deb ...

Unpacking libmpdec2:amd64 (2.4.1-1) ...

Selecting previously unselected package libpython3.4-minimal:amd64.

Preparing to unpack .../libpython3.4-minimal_3.4.2-1_amd64.deb ...

Unpacking libpython3.4-minimal:amd64 (3.4.2-1) ...

Selecting previously unselected package libpython3.4-stdlib:amd64.

Preparing to unpack .../libpython3.4-stdlib_3.4.2-1_amd64.deb ...

Unpacking libpython3.4-stdlib:amd64 (3.4.2-1) ...

Selecting previously unselected package libunistring0:amd64.

Preparing to unpack .../libunistring0_0.9.3-5.2+b1_amd64.deb ...

Unpacking libunistring0:amd64 (0.9.3-5.2+b1) ...

Selecting previously unselected package libxslt1.1:amd64.

Preparing to unpack .../libxslt1.1_1.1.28-2+deb8u1_amd64.deb ...

Unpacking libxslt1.1:amd64 (1.1.28-2+deb8u1) ...

Selecting previously unselected package python3.4-minimal.

Preparing to unpack .../python3.4-minimal_3.4.2-1_amd64.deb ...

Unpacking python3.4-minimal (3.4.2-1) ...

Selecting previously unselected package file.

Preparing to unpack .../file_1%3a5.22+15-2+deb8u2_amd64.deb ...

Unpacking file (1:5.22+15-2+deb8u2) ...

Selecting previously unselected package gettext-base.

Preparing to unpack .../gettext-base_0.19.3-2_amd64.deb ...

Unpacking gettext-base (0.19.3-2) ...

Selecting previously unselected package gettext.

Preparing to unpack .../gettext_0.19.3-2_amd64.deb ...

Unpacking gettext (0.19.3-2) ...

Selecting previously unselected package intltool-debian.

Preparing to unpack .../intltool-debian_0.35.0+20060710.1_all.deb ...

Unpacking intltool-debian (0.35.0+20060710.1) ...

Selecting previously unselected package po-debconf.

Preparing to unpack .../po-debconf_1.0.16+nmu3_all.deb ...

Unpacking po-debconf (1.0.16+nmu3) ...

Selecting previously unselected package debhelper.

Preparing to unpack .../debhelper_9.20150101+deb8u2_all.deb ...

Unpacking debhelper (9.20150101+deb8u2) ...

Selecting previously unselected package python3.4.

Preparing to unpack .../python3.4_3.4.2-1_amd64.deb ...

Unpacking python3.4 (3.4.2-1) ...

Selecting previously unselected package python3-minimal.

Preparing to unpack .../python3-minimal_3.4.2-2_amd64.deb ...

Unpacking python3-minimal (3.4.2-2) ...

Selecting previously unselected package libpython3-stdlib:amd64.

Preparing to unpack .../libpython3-stdlib_3.4.2-2_amd64.deb ...

Unpacking libpython3-stdlib:amd64 (3.4.2-2) ...

Selecting previously unselected package python3.

Preparing to unpack .../python3_3.4.2-2_amd64.deb ...

Unpacking python3 (3.4.2-2) ...

Selecting previously unselected package dh-python.

Preparing to unpack .../dh-python_1.20141111-2_all.deb ...

Unpacking dh-python (1.20141111-2) ...

Selecting previously unselected package python-all.

Preparing to unpack .../python-all_2.7.9-1_amd64.deb ...

Unpacking python-all (2.7.9-1) ...

Selecting previously unselected package python-lxml.

Preparing to unpack .../python-lxml_3.4.0-1_amd64.deb ...

Unpacking python-lxml (3.4.0-1) ...

Selecting previously unselected package python3-all.

Preparing to unpack .../python3-all_3.4.2-2_amd64.deb ...

Unpacking python3-all (3.4.2-2) ...

Setting up libpipeline1:amd64 (1.4.0-1) ...

Setting up groff-base (1.22.2-8) ...

Setting up bsdmainutils (9.0.6) ...

update-alternatives: using /usr/bin/bsd-write to provide /usr/bin/write (write) in auto mode

update-alternatives: using /usr/bin/bsd-from to provide /usr/bin/from (from) in auto mode

Setting up man-db (2.7.0.2-5) ...

Not building database; man-db/auto-update is not &#39;true&#39;.

Setting up libasprintf0c2:amd64 (0.19.3-2) ...

Setting up libmagic1:amd64 (1:5.22+15-2+deb8u2) ...

Setting up libxml2:amd64 (2.9.1+dfsg1-5+deb8u3) ...

Setting up mime-support (3.58) ...

Setting up libexpat1:amd64 (2.1.0-6+deb8u3) ...

Setting up libpython2.7-stdlib:amd64 (2.7.9-2+deb8u1) ...

Setting up python2.7 (2.7.9-2+deb8u1) ...

Setting up libpython-stdlib:amd64 (2.7.9-1) ...

Setting up python (2.7.9-1) ...

Setting up libglib2.0-0:amd64 (2.42.1-1+b1) ...

No schema files found: doing nothing.

Setting up libcroco3:amd64 (0.6.8-3+b1) ...

Setting up libmpdec2:amd64 (2.4.1-1) ...

Setting up libpython3.4-minimal:amd64 (3.4.2-1) ...

Setting up libpython3.4-stdlib:amd64 (3.4.2-1) ...

Setting up libunistring0:amd64 (0.9.3-5.2+b1) ...

Setting up libxslt1.1:amd64 (1.1.28-2+deb8u1) ...

Setting up python3.4-minimal (3.4.2-1) ...

Setting up file (1:5.22+15-2+deb8u2) ...

Setting up gettext-base (0.19.3-2) ...

Setting up gettext (0.19.3-2) ...

Setting up intltool-debian (0.35.0+20060710.1) ...

Setting up po-debconf (1.0.16+nmu3) ...

Setting up debhelper (9.20150101+deb8u2) ...

Setting up python3.4 (3.4.2-1) ...

Setting up python3-minimal (3.4.2-2) ...

Setting up libpython3-stdlib:amd64 (3.4.2-2) ...

Setting up python-all (2.7.9-1) ...

Setting up python-lxml (3.4.0-1) ...

Setting up python3 (3.4.2-2) ...

Setting up dh-python (1.20141111-2) ...

Setting up python3-all (3.4.2-2) ...

Processing triggers for libc-bin (2.19-18+deb8u6) ...

Reading package lists...

Building dependency tree...

Reading state information...

Reading extended state information...

Initializing package states...

Writing extended state information...

Building tag database...

-&gt; Finished parsing the build-deps

Reading package lists...

Building dependency tree...

Reading state information...

apt-utils is already the newest version.

The following NEW packages will be installed:

fakeroot libfakeroot

0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.

Need to get 0 B/129 kB of archives.

After this operation, 434 kB of additional disk space will be used.

E: Can not write log (Is /dev/pts mounted?) - posix_openpt (2: No such file or directory)

Selecting previously unselected package libfakeroot:amd64.

(Reading database ... 15876 files and directories currently installed.)

Preparing to unpack .../libfakeroot_1.20.2-1_amd64.deb ...

Unpacking libfakeroot:amd64 (1.20.2-1) ...

Selecting previously unselected package fakeroot.

Preparing to unpack .../fakeroot_1.20.2-1_amd64.deb ...

Unpacking fakeroot (1.20.2-1) ...

Processing triggers for man-db (2.7.0.2-5) ...

Not building database; man-db/auto-update is not &#39;true&#39;.

Setting up libfakeroot:amd64 (1.20.2-1) ...

Setting up fakeroot (1.20.2-1) ...

update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode

I: Copying back the cached apt archive contents

I: Copying source file

I: copying [/tmp/tmpAM0mPg/pyxst_0.1.1-1~rev15ddebbbe307.dsc]

I: copying [/tmp/tmpAM0mPg/pyxst_0.1.1.orig.tar.gz]

I: copying [/tmp/tmpAM0mPg/pyxst_0.1.1-1~rev15ddebbbe307.diff.gz]

I: Extracting source

dpkg-source: warning: extracting unsigned source package (pyxst_0.1.1-1~rev15ddebbbe307.dsc)

dpkg-source: info: extracting pyxst in pyxst-0.1.1

dpkg-source: info: unpacking pyxst_0.1.1.orig.tar.gz

dpkg-source: info: applying pyxst_0.1.1-1~rev15ddebbbe307.diff.gz

I: Building the package

W: no hooks of type A found -- ignoring

I: Running cd /build/*/ &amp;&amp; env PATH=&quot;/usr/sbin:/usr/bin:/sbin:/bin&quot; HOME=&quot;/nonexistent&quot; dpkg-buildpackage -us -uc -rfakeroot

dpkg-buildpackage: source package pyxst

dpkg-buildpackage: source version 0.1.1-1~rev15ddebbbe307

dpkg-buildpackage: source distribution jessie

dpkg-buildpackage: source changed by Sylvain Thenault &lt;syt@castor.logilab.fr&gt;

dpkg-source --before-build pyxst-0.1.1

dpkg-buildpackage: host architecture amd64

fakeroot debian/rules clean

dh clean --with python2,python3

dh_testdir

debian/rules override_dh_auto_clean

make[1]: Entering directory &#39;/build/pyxst-0.1.1&#39;

dh_auto_clean

running clean

&#39;build/lib.linux-x86_64-2.7&#39; does not exist -- can&#39;t clean it

&#39;build/bdist.linux-x86_64&#39; does not exist -- can&#39;t clean it

&#39;build/scripts-2.7&#39; does not exist -- can&#39;t clean it

rm -rf pyxst.egg-info

rm -rf testdir

make[1]: Leaving directory &#39;/build/pyxst-0.1.1&#39;

dh_clean

dpkg-source -b pyxst-0.1.1

dpkg-source: warning: no source format specified in debian/source/format, see dpkg-source(1)

dpkg-source: info: using source format `1.0&#39;

dpkg-source: info: building pyxst using existing pyxst_0.1.1.orig.tar.gz

dpkg-source: info: building pyxst in pyxst_0.1.1-1~rev15ddebbbe307.diff.gz

dpkg-source: warning: ignoring deletion of directory pyxst.egg-info

dpkg-source: warning: ignoring deletion of file pyxst.egg-info/top_level.txt, use --include-removal to override

dpkg-source: warning: ignoring deletion of file pyxst.egg-info/SOURCES.txt, use --include-removal to override

dpkg-source: warning: ignoring deletion of file pyxst.egg-info/dependency_links.txt, use --include-removal to override

dpkg-source: warning: ignoring deletion of file pyxst.egg-info/PKG-INFO, use --include-removal to override

dpkg-source: info: building pyxst in pyxst_0.1.1-1~rev15ddebbbe307.dsc

debian/rules build

dh build --with python2,python3

dh_testdir

dh_auto_configure

dh_auto_build

running build

running build_py

creating build

creating build/lib.linux-x86_64-2.7

creating build/lib.linux-x86_64-2.7/pyxst

copying pyxst/__pkginfo__.py -&gt; build/lib.linux-x86_64-2.7/pyxst

copying pyxst/__init__.py -&gt; build/lib.linux-x86_64-2.7/pyxst

creating build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/nodes.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/constants.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/utils.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/groups.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/errors.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/__init__.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/parser.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

copying pyxst/dtd/root.py -&gt; build/lib.linux-x86_64-2.7/pyxst/dtd

creating build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/comparator.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/utils.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/graph.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/pprint.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/docs_analyzer.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/__init__.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/graph_nodes.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

copying pyxst/xml_struct/graph_target_relations.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xml_struct

creating build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/elements.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/attributes.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/types.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/utils.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/constraints.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/groups.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/errors.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/__init__.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/parser.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

copying pyxst/xsd/root.py -&gt; build/lib.linux-x86_64-2.7/pyxst/xsd

debian/rules override_dh_auto_test

make[1]: Entering directory &#39;/build/pyxst-0.1.1&#39;

mkdir -p testdir

ln -sf .. testdir/pyxst

PYTHONPATH=/build/pyxst-0.1.1/testdir python2.7 /usr/bin/pytest

python2.7: can&#39;t open file &#39;/usr/bin/pytest&#39;: [Errno 2] No such file or directory

debian/rules:40: recipe for target &#39;test-python2.7&#39; failed

make[1]: *** [test-python2.7] Error 2

make[1]: Leaving directory &#39;/build/pyxst-0.1.1&#39;

debian/rules:52: recipe for target &#39;build&#39; failed

make: *** [build] Error 2

dpkg-buildpackage: error: debian/rules build gave error exit status 2

I: copying local configuration

E: Failed autobuilding of package

I: user script /var/cache/pbuilder/build/28617/tmp/hooks/C10shell starting

If you want to enter into the chroot image to debug, you have to edit your ~/.pbuilderrc with:

export LGP_AUTO_ENTER_SHELL=y

I: user script /var/cache/pbuilder/build/28617/tmp/hooks/C10shell finished

I: unmounting /sys filesystem

I: unmounting /dev filesystem

I: unmounting dev/pts filesystem

I: unmounting run/shm filesystem

I: unmounting proc filesystem

I: unmounting sys filesystem

I: cleaning the build env

I: removing directory /var/cache/pbuilder/build/28617 and its subdirectories
<br/>50 Error while running checker lgp.build: cannot build valid srpm file with command [&#39;sudo&#39;, &#39;mock&#39;, &#39;--buildsrpm&#39;, &#39;--spec&#39;, &#39;/tmp/tmpfcPAkn/pyxst/python-pyxst.spec&#39;, &#39;--resultdir&#39;, &#39;/tmp/tmpHuWjL7&#39;, &#39;-r&#39;, &#39;epel-6-i386&#39;, &#39;--uniqueext&#39;, &#39;28310&#39;, &#39;--sources&#39;, u&#39;/tmp/tmp93neNN&#39;]
Traceback (most recent call last):
File &quot;/usr/lib/python2.7/dist-packages/apycotlib/atest.py&quot;, line 289, in run_checker
status = checker.check(self)
File &quot;/usr/share/narval/checkers/apycot/__init__.py&quot;, line 35, in check
self.set_status(self.do_check(test))
File &quot;/usr/share/narval/checkers/apycot/lgp.py&quot;, line 122, in do_check
exit_status = cmd.main_run(args, LGP.rcfile)
File &quot;/usr/lib/python2.7/dist-packages/logilab/packaging/lgp/setupinfo.py&quot;, line 195, in main_run
self.run(arguments)
File &quot;/usr/lib/python2.7/dist-packages/logilab/packaging/lgp/build.py&quot;, line 218, in run
raise exc
LGPCommandException: cannot build valid srpm file with command [&#39;sudo&#39;, &#39;mock&#39;, &#39;--buildsrpm&#39;, &#39;--spec&#39;, &#39;/tmp/tmpfcPAkn/pyxst/python-pyxst.spec&#39;, &#39;--resultdir&#39;, &#39;/tmp/tmpHuWjL7&#39;, &#39;-r&#39;, &#39;epel-6-i386&#39;, &#39;--uniqueext&#39;, &#39;28310&#39;, &#39;--sources&#39;, u&#39;/tmp/tmp93neNN&#39;]
<br/>

log from execution